Bug 102831 - qeth reports "Could not set up broadcast filtering on eth0: 0x2, continuing"
qeth reports "Could not set up broadcast filtering on eth0: 0x2, continuing"
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 13:01 EDT by Daniel Jarboe
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 15:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Jarboe 2003-08-21 13:01:44 EDT
Description of problem:
Broadcast support appears to be broken for qeth.

According to Linux on IBM eserver zSeries and S/390: TCP/IP Broadcast on z/VM 
Guest LAN (specifically page 14 of the pdf at 
http://www.redbooks.ibm.com/redpapers/pdfs/redp3596.pdf), the revision # of the 
qeth driver provided by taroon is one that should support broadcast.


Version-Release number of selected component (if applicable):
kernel-2.4.21-1.1931.2.349.2.2.ent

How reproducible:
Always

Steps to Reproduce:
1. Have modules.conf, chandev.conf, and eth0 configured by installer for qeth 
(Guest LAN) support
2. Boot image, watch messages
    
Actual results:
Error message indicates that broadcast was not supported

Expected results:
No error message

Additional info:
snip of dmesg shows:

qdio: loading QDIO base support version 2 ($Revision: 1.145 $/$Revision: 1.66 $)
qeth: loading qeth S/390 OSA-Express driver ($Revision: 1.337 $/$Revision: 1.113
 $/$Revision: 1.42 $:VLAN)
 qeth: allocated 0 spare buffers
 qeth: unknown parameter: -0x072A
qeth: Trying to use card with devnos 0x728/0x729/0x72A
qeth: Device 0x728/0x729/0x72A is an OSD Express card (level: 3132)
with link type Gigabit Eth (no portname needed by interface)
divert: allocating divert_blk for eth0
 qeth: VLAN not supported on eth0
 qeth: IPv6 not supported on eth0
 qeth: Could not set up broadcast filtering on eth0: 0x2, continuing

I got the same message with the 2.4.21-1.1931.2.349.2.2.ent kernel too
Comment 1 Florian La Roche 2003-08-25 05:57:39 EDT
VLAN is supported by the drivers we ship. "VLAN not supported" means you either
have a downlevel z/VM or have not done the configuration correctly.
I do not have access to a working VLAN configuration, so I can not check this.

Are you sure z/VM and your configuration are all correct?

greetings,

Florian La Roche
Comment 2 Pete Zaitcev 2003-08-26 00:55:05 EDT
In particular, is APAR VM63172 present?
Comment 3 Daniel Jarboe 2003-08-26 10:29:23 EDT
Ugh, our VM sysprog informed me that APAR VM63172 hasn't been applied.  He's 
working on ordering the maintenance pack.  Sorry for the false alert, hopefully 
that will clear up the problem.

~ Daniel
Comment 4 Pete Zaitcev 2003-09-15 17:15:00 EDT
PTF UM30652 resolves the APAR.
I just verified that it works (was broken before, works now)
I'm running .411 kernel ok.

Can this be closed now?
Comment 5 Daniel Jarboe 2003-09-16 14:20:50 EDT
Thank you for veryfing it in your lab, feel free to close (our z/VM sysprog is 
still working on getting the PTF).
Comment 6 Jeremy Katz 2003-09-16 20:00:05 EDT
Setting to modified so you can confirm when your z/vm instance gets the ptf
installed
Comment 7 Daniel Jarboe 2003-10-20 11:11:14 EDT
The latest maintenance went on over the weekend, it's working now.

Thank you
Comment 8 Pete Zaitcev 2003-10-22 15:47:47 EDT
Daniel forgot to close - closing now.

Note You need to log in before you can comment on or make changes to this bug.